classification
Title: Refleak in posix_spawn
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: expose posix_spawn(p)
View: 20104
Assigned To: Nosy List: gregory.p.smith, ned.deily, pablogsal, vstinner, zach.ware
Priority: critical Keywords: patch

Created on 2018-03-30 21:09 by zach.ware, last changed 2018-05-01 20:08 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6315 closed zach.ware, 2018-03-30 21:10
PR 6331 closed pablogsal, 2018-04-01 15:03
Messages (2)
msg314719 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-03-30 21:09
There is a refleak in posix_spawn; see for example http://buildbot.python.org/all/#/builders/114/builds/53

The attached PR fixes it, but I am not confident that I did it correctly.
msg314785 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2018-04-01 19:15
https://github.com/python/cpython/pull/6332 appears to address this.
History
Date User Action Args
2018-05-01 20:08:48ned.deilysetstatus: open -> closed
superseder: expose posix_spawn(p)
resolution: duplicate
stage: patch review -> resolved
2018-04-01 19:15:43gregory.p.smithsetmessages: + msg314785
2018-04-01 15:03:21pablogsalsetpull_requests: + pull_request6044
2018-03-31 08:21:43serhiy.storchakalinkissue20104 dependencies
2018-03-30 21:10:58zach.waresetkeywords: + patch
stage: patch review
pull_requests: + pull_request6031
2018-03-30 21:09:31zach.warecreate